[med-svn] [Git][med-team/libarb][upstream] 3 commits: New upstream version 6.0.6
Andreas Tille
gitlab at salsa.debian.org
Thu Jun 6 14:11:29 BST 2019
Andreas Tille pushed to branch upstream at Debian Med / libarb
Commits:
34706108 by Andreas Tille at 2019-06-06T12:17:05Z
New upstream version 6.0.6
- - - - -
346c0421 by Andreas Tille at 2019-06-06T12:33:21Z
New upstream version 6.0.6
- - - - -
b7586d9b by Andreas Tille at 2019-06-06T13:05:32Z
New upstream version 6.0.6
- - - - -
3 changed files:
- + AISC_COM/AISC/export2sub
- + SOURCE_TOOLS/mv_if_diff
- + SOURCE_TOOLS/version_info
Changes:
=====================================
AISC_COM/AISC/export2sub
=====================================
@@ -0,0 +1,16 @@
+# -*-Mode: Makefile;-*-
+#
+# --------------------------------------------------------------------------------
+# variables listed here are automatically exported to sub-makefiles
+# documentation for single variables can be found in ../../SOURCE_TOOLS/parent_make.txt
+
+export AISC_SAVE
+export AUTODEPENDS
+export CLIENTCOMPILER
+export COMPILER
+export LINK_STATIC_LIB
+export MAIN_SOURCE
+export PRIVATE_SERVER_OBJECTS
+export POST_COMPILE
+
+
=====================================
SOURCE_TOOLS/mv_if_diff
=====================================
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [ -z "$2" ] ; then
+ echo "Usage: mv_if_diff source target"
+ echo "Moves source to target."
+ echo "If target does not differ from source, target is kept untouched."
+ echo "If target does not exist, source is always moved to target."
+ echo "source always gets removed."
+ exit 1
+fi
+
+if [ -f "$2" ]; then
+ DIFF=`diff $1 $2 | wc -l`
+ if [ $DIFF = 0 ] ; then
+ echo "$2 did not change."
+ rm $1
+ else
+ echo "$2 updated."
+ mv $1 $2
+ fi
+else
+ echo "$2 created."
+ mv $1 $2
+fi
=====================================
SOURCE_TOOLS/version_info
=====================================
@@ -0,0 +1,5 @@
+CANDIDATE=3
+MAJOR=6
+MINOR=0
+PATCHLEVEL=6
+last_upgrade=1471855920
View it on GitLab: https://salsa.debian.org/med-team/libarb/compare/5637dc90205a07e3347133595fe050009b14ee0f...b7586d9bc6400f5383a98a41fd91435c78d89f73
--
View it on GitLab: https://salsa.debian.org/med-team/libarb/compare/5637dc90205a07e3347133595fe050009b14ee0f...b7586d9bc6400f5383a98a41fd91435c78d89f73
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190606/6c9bf3f3/attachment-0001.html>
More information about the debian-med-commit
mailing list